<?xml version="1.0" encoding="UTF-8"?>
<!--
/**
 *
 * @author Bartlomiej Tomasz Urbaniec
 */
-->


<ns1:fieldDescriptions
    xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance'
    xmlns:ns1='http://www.fielddescriptionmapping.extendedconfig.plugins.unicos.cern.ch.research'
    xsi:schemaLocation='http://www.fielddescriptionmapping.extendedconfig.plugins.unicos.cern.ch.research'>
    <ns1:fieldDescription>         
        <ns1:field>typeName</ns1:field>         
        <ns1:name>typeName</ns1:name>         
        <ns1:description>Recipe type name. Each recipe class must belong to a recipe type. By default the UnRcpType will be used.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>classDesc</ns1:field>         
        <ns1:name>classDesc</ns1:name>         
        <ns1:description>Recipe class description.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>deviceLink</ns1:field>         
        <ns1:name>deviceLink</ns1:name>         
        <ns1:description>Each recipe class must be linked to a ProcessControlObject device. This field specify the alias of the PCO.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>cDomain</ns1:field>         
        <ns1:name>cDomain</ns1:name>         
        <ns1:description>Recipe class domain.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>iDomain</ns1:field>         
        <ns1:name>iDomain</ns1:name>         
        <ns1:description>Domain for all the recipe instances of the current recipe class.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>cNature</ns1:field>         
        <ns1:name>cNature</ns1:name>         
        <ns1:description>Recipe class nature.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>iNature</ns1:field>         
        <ns1:name>iNature</ns1:name>         
        <ns1:description>Nature for all the recipe instances of the current recipe class.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>cACDomain</ns1:field>         
        <ns1:name>cACDomain</ns1:name>         
        <ns1:description>Recipe class access control domain.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>iACDomain</ns1:field>         
        <ns1:name>iACDomain</ns1:name>         
        <ns1:description>Access control domain for all the recipe instances of the current recipe class.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>cBtnNewClass</ns1:field>         
        <ns1:name>cBtnNewClass</ns1:name>         
        <ns1:description>Create a new recipe class.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>cBtnNewInstance</ns1:field>         
        <ns1:name>cBtnNewInstance</ns1:name>         
        <ns1:description>Create a new recipe instance of the selected recipe class.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>cBtnAddDevices</ns1:field>         
        <ns1:name>cBtnAddDevices</ns1:name>         
        <ns1:description>Add new devices to a recipe class and all its recipe instances.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>cBtnDuplicate</ns1:field>         
        <ns1:name>cBtnDuplicate</ns1:name>         
        <ns1:description>Duplicate the selected recipe class.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>cBtnApplyChanges</ns1:field>         
        <ns1:name>cBtnApplyChanges</ns1:name>         
        <ns1:description>Apply changes to the selected recipe class.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>cBtnRemoveClass</ns1:field>         
        <ns1:name>cBtnRemoveClass</ns1:name>         
        <ns1:description>Remove the recipe class and all its instances.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>cBtnEditElements</ns1:field>         
        <ns1:name>cBtnEditElements</ns1:name>         
        <ns1:description>Edit the elements (data point elements of a device) of a recipe class and all its instances.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>cBtnRemoveSelected</ns1:field>         
        <ns1:name>cBtnRemoveSelected</ns1:name>         
        <ns1:description>Remove the selected elements of the selected recipe class.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>cBtnPrivileges</ns1:field>         
        <ns1:name>cBtnPrivileges</ns1:name>         
        <ns1:description>Edit the privileged actions for the selected recipe class and all its instances.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>cBtnCancel</ns1:field>         
        <ns1:name>cBtnCancel</ns1:name>         
        <ns1:description>Cancel the changes for the selected recipe class.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>cBtnSelect</ns1:field>         
        <ns1:name>cBtnSelect</ns1:name>         
        <ns1:description>Select the recipe class device.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>iBtnActivate</ns1:field>         
        <ns1:name>iBtnActivate</ns1:name>         
        <ns1:description>Activate the selected recipe instance.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>iBtnEdit</ns1:field>         
        <ns1:name>iBtnEdit</ns1:name>         
        <ns1:description>Edit the values of the selected recipe instance.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>iBtnNewInstance</ns1:field>         
        <ns1:name>iBtnNewInstance</ns1:name>         
        <ns1:description>Create a new recipe instance of the selected recipe class.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>iBtnDuplicate</ns1:field>         
        <ns1:name>iBtnDuplicate</ns1:name>         
        <ns1:description>Duplicate the selected recipe instance.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>iBtnInitialRecipes</ns1:field>         
        <ns1:name>iBtnInitialRecipes</ns1:name>         
        <ns1:description>Show all the initial recipes for each recipe class available in the PCO hierarchy.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>iBtnDelete</ns1:field>         
        <ns1:name>iBtnDelete</ns1:name>         
        <ns1:description>Delete the selected recipe instance.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>iBtnOnlineValues</ns1:field>         
        <ns1:name>iBtnOnlineValues</ns1:name>         
        <ns1:description>Show the online values of the selected recipe instance.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>iBtnSave</ns1:field>         
        <ns1:name>iBtnSave</ns1:name>         
        <ns1:description>Save the values of the recipe instance.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>iBtnCancel</ns1:field>         
        <ns1:name>iBtnCancel</ns1:name>         
        <ns1:description>Cancel the changes applied to the recipe instance.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>iBtnSaveAsInitial</ns1:field>         
        <ns1:name>iBtnSaveAsInitial</ns1:name>         
        <ns1:description>Save the current recipe instance as the initial recipe for the selected recipe class.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>iBtnLastActivatedRecipes</ns1:field>         
        <ns1:name>iBtnLastActivatedRecipes</ns1:name>         
        <ns1:description>Show the last activated recipes for each recipe class available in the PCO hierarchy.</ns1:description>     
    </ns1:fieldDescription>  
    <ns1:fieldDescription>         
        <ns1:field>iBtnSelect</ns1:field>         
        <ns1:name>iBtnSelect</ns1:name>         
        <ns1:description>Select the recipe instance device.</ns1:description>     
    </ns1:fieldDescription>  
</ns1:fieldDescriptions>
